<template>
    <div class="s">
        <v-card color="teal lighten-1" class="mx-auto textcont" dark>
            <v-card-title class="headline mx-auto">删除项目</v-card-title>
            <v-text-field
                outlined
                dense
                class="mx-4"
                label="项目名称"
                color="primary lighten-2"
                clearable
                :error-messages="errorMessage"
                :error="falsee"
                :success-messages="successMessage"
                :success="falsee"
                v-model.trim="projectName"
                @keyup.enter="delete_project"
            ></v-text-field>
            <div class="rightwrap">
                <v-btn color="red lighten-1" class="mr-2 mb-2" @click="delete_project">删除</v-btn>
            </div>
        </v-card>
    </div>
</template>

<script>
export default {
    name: "deleteProject",
    data: () => ({
        projectName: "",
        falsee: false,
        errorMessage: "",
        successMessage: "",
        user: "",
    }),
    components: {},
    methods: {
        delete_project() {
            if (!this.projectName.length) {
                this.login_alert("项目名称不得为空！");
                return;
            }

            if (this.projectName.length > 20) {
                this.login_alert("项目名称不得超过20个字符！");
                return;
            }

            this.$axios({
                method: "post",
                url: `/delproject`,
                data: {
                    projectName: this.projectName,
                    userName: this.user,
                },
            }).then(res => {
                if (res.status === 200) {
                    const data = res.data;
                    if (data.status === "DELETE_SUCCESS") {
                        this.messagee("删除成功！");
                    } else if (data.status === "DELETE_FAILURE") {
                        this.login_alert(data.message);
                    } else {
                        this.login_alert("出错了！");
                    }
                } else {
                    this.login_alert("连接失败。\n请检查您的网络状态。");
                }
            });
        },
        login_alert(message) {
            this.errorMessage = "" + message;
        },
        messagee(message) {
            this.successMessage = "" + message;
        },
    },
    mounted() {
        this.user = this.$store.getters.userName;
    },
    computed: {},
};
</script>

<style scoped>
.s {
    margin-top: 15vh;
    margin-left: 60px;
}
.rightwrap {
    display: flex;
    justify-content: flex-end;
}
</style>
